Tiny Core Linux

dCore Import Debian Packages to Mountable SCE extensions => dCore X86 => dCore x86 Imported Extensions => Topic started by: Jason W on March 12, 2015, 10:57:05 AM

Title: Custom package requests
Post by: Jason W on March 12, 2015, 10:57:05 AM
This thread is for requesting packages for dCore that are not available in Debian repos.  Open a new thread for bug reports on any packages mentioned here.
Title: Re: Custom package requests
Post by: gwalther on May 03, 2015, 02:33:52 PM
Is it possible to make ..gtkfind..available?  It goes nicely with emelfm and beaver..thanks
Title: Re: Custom package requests
Post by: Jason W on May 03, 2015, 06:30:08 PM
Yep, done.  Available for import now.  Thanks for the suggestion, keep them coming!
Title: Re: Custom package requests
Post by: sm8ps on May 21, 2015, 12:18:37 AM
I need xserver-xorg-input-fpit which is not available anymore for ub-dCore-trusty or any recent Debian or Ubuntu for that matter. (Yes, the machine in question is quite dated, indeed.)

The source code is available under http://cgit.freedesktop.org/xorg/driver/xf86-input-fpit/

Cheers!
sm
Title: Re: Custom package requests
Post by: Jason W on May 21, 2015, 05:20:26 AM
Ok, I'll look into it.
Title: Re: Custom package requests
Post by: Jason W on May 23, 2015, 07:55:11 PM
Ok, done.  Import xf86-input-fpit, named after upstream.

Title: Re: Custom package requests
Post by: sm8ps on May 24, 2015, 01:40:16 PM
Thanks a lot for your great support, JasonW!
Not to anybody's great surprise the driver does load but is un-loaded immediately due to a ABI-version mis-match. (Sorry, I dit not detect that from skimming over the source code file. At least, I have learned about the importance of ABI-versions.)
For anybody's reference here is the Xorg.0.log:
Code: [Select]
[   129.177] (II) LoadModule: "fpit"
[   129.179] (II) Loading /usr/lib/xorg/modules/input/fpit_drv.so
[   129.181] (II) Module fpit: vendor="X.Org Foundation"
[   129.181] compiled for 1.12.4, module version = 1.4.0
[   129.182] Module class: X.Org XInput Driver
[   129.182] ABI class: X.Org XInput driver, version 16.0
[   129.182] (EE) module ABI major version (16) doesn't match the server's version (20)
[   129.182] (II) UnloadModule: "fpit"
[   129.183] (II) Unloading fpit
[   129.184] (EE) Failed to load module "fpit" (module requirement mismatch, 0)
Seen the sheer age of this software, I do not think that there is anything that can be done (other than re-writing the driver -- which does not look overly hard). So I suggest purging this extension from the repository again.
Title: Re: Custom package requests
Post by: Jason W on May 24, 2015, 04:40:35 PM
I built on dCore-wheezy.  Maybe it needs to be built on each specific dCore.  I wouldn't mind, it would just mean the package would have the dCore Debian version in it's name.

Let me build it for ub-dCore-trusty and see if that makes a difference.
Title: Re: Custom package requests
Post by: Jason W on May 24, 2015, 06:40:40 PM
xf86-input-fpit-trusty is now uploaded.  Please test, hopefully building on a particular Xorg release will make it work.
Title: Re: Custom package requests
Post by: Jason W on May 24, 2015, 07:14:50 PM
Upon googling the xinput ABI compatibility is different between the Wheezy's and Trusty's Xorg.  I am hoping that is the case and a build for each will work.
Title: Re: Custom package requests
Post by: curaga on May 25, 2015, 12:46:37 AM
Yeah, drivers need to be built for the specific Xorg version.
Title: Re: Custom package requests
Post by: sm8ps on May 25, 2015, 07:36:19 AM
The compiled version does load now. (So I have learned something about the meaning of ABI-versions, too! :) ) Sadly, the driver crashes with a software error that I have not been able to chase down to its roots.
I would say this calls for removing the packets from the repo. The machine in question (http://wiki.tinycorelinux.net/dcore:hp-compaq_tc1000) does work fine otherwise. Thank you very much again for your efforts!